package com.sunxung.factoring.entity.cashflowmanage.sop;

import com.sunxung.factoring.entity.BaseEntity;
import com.sunxung.factoring.entity.sys.Dictionary;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @description:银行账户信息实体 --同步sop数据使用，对应sop同名实体类
 * @author:吴端丽
 * @e-mail:1912942707@qq.com
 * @date:2018年4月27日 上午10:51:22
 */
public class BankAccountInfo extends BaseEntity {

    /**
     * 公司归属
     **/
    private Dictionary companyOwnership;
    /**
     * 银行名称
     **/
    private String bankName;
    /**
     * 银行卡号
     **/
    private String bankCardNo;
    /**
     * 期初数值
     **/
    private BigDecimal initialAmount;
    /**
     * 期初数值
     **/
    private String initialAmountStr; // 仅用于接收用逗号隔开的期初数值，不保存数据库
    /**
     * 实际余额(默认值是银行卡期初数值，目前银行卡余额字段未使用到，其它地方银行卡余额是根据出入账数据实时计算得出)
     **/
    private BigDecimal actualBalance;
    /**
     * 币种
     **/
    private Dictionary currency;
    /**
     * 状态
     **/
    private Boolean status;
    /**
     * 备注
     **/
    private String remark;
    /**
     * 银行卡生效日期
     **/
    private Date effectiveDate;
    /**
     * 银行卡是否已被引用,被引用的银行卡，不能修改期初数值、日期、币种
     **/
    private boolean reference;

    public Dictionary getCompanyOwnership() {
        return companyOwnership;
    }

    public void setCompanyOwnership(Dictionary companyOwnership) {
        this.companyOwnership = companyOwnership;
    }

    public String getBankName() {
        return bankName;
    }

    public void setBankName(String bankName) {
        this.bankName = bankName;
    }

    public String getBankCardNo() {
        return bankCardNo;
    }

    public void setBankCardNo(String bankCardNo) {
        this.bankCardNo = bankCardNo;
    }

    public BigDecimal getInitialAmount() {
        return initialAmount;
    }

    public void setInitialAmount(BigDecimal initialAmount) {
        this.initialAmount = initialAmount;
    }

    public String getInitialAmountStr() {
        return initialAmountStr;
    }

    public void setInitialAmountStr(String initialAmountStr) {
        this.initialAmountStr = initialAmountStr;
    }

    public BigDecimal getActualBalance() {
        return actualBalance;
    }

    public void setActualBalance(BigDecimal actualBalance) {
        this.actualBalance = actualBalance;
    }

    public Dictionary getCurrency() {
        return currency;
    }

    public void setCurrency(Dictionary currency) {
        this.currency = currency;
    }

    public Boolean getStatus() {
        return status;
    }

    public void setStatus(Boolean status) {
        this.status = status;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Date getEffectiveDate() {
        return effectiveDate;
    }

    public void setEffectiveDate(Date effectiveDate) {
        this.effectiveDate = effectiveDate;
    }

    public boolean isReference() {
        return reference;
    }

    public void setReference(boolean reference) {
        this.reference = reference;
    }
}
